Clone a Benefit Definition
curl --request POST \
--url https://api.{tenant}.getomneo.com/api/v3/benefits/definitions/{benefitdefinition}/clone \
--header 'Content-Type: application/json' \
--data '
{
"handle": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.{tenant}.getomneo.com/api/v3/benefits/definitions/{benefitdefinition}/clone"
payload = {
"handle": "<string>",
"name": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({handle: '<string>', name: '<string>'})
};
fetch('https://api.{tenant}.getomneo.com/api/v3/benefits/definitions/{benefitdefinition}/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"handle": "<string>",
"region_id": 123,
"region": {
"id": 123,
"name": "<string>",
"handle": "<string>"
},
"currency": "<string>",
"period": 123,
"period_type": "<string>",
"absolute_expiry": "<string>",
"description": "<string>",
"internal_notes": "<string>",
"meta": [
"<unknown>"
],
"short_description": "<string>",
"long_description": "<string>",
"terms_conditions": "<string>",
"earn_instructions": "<string>",
"redeem_instructions_store": "<string>",
"redeem_instructions_online": "<string>",
"redeem_code_pos": "<string>",
"redeem_code_online": "<string>",
"icon": "<string>",
"image_url": "<string>",
"max_redemptions": 123,
"is_extendable": true,
"is_assignable": true,
"is_reassignable": true,
"is_published": true,
"is_archived": true,
"tags": [
"<string>"
],
"is_claimable": true,
"max_global_redemptions": 123,
"total_global_redemptions_remaining": {},
"total_global_redemptions": 123,
"total_global_created": 123,
"claim_period_start_at": "<string>",
"claim_period_end_at": "<string>",
"claim_condition": [
"<unknown>"
],
"is_reclaimable": true,
"notify_schedule_offset": 123,
"notify_issue_offset_days": 123,
"notify_issue_offset_hour": 123,
"notify_remind_offset_days": 123,
"notify_remind_offset_hour": 123,
"notify_extend_offset_days": 123,
"notify_extend_offset_hour": 123,
"remind_target_id": 123,
"extend_target_id": 123,
"issue_target_id": 123,
"end_at": "<string>",
"total_allocations": null,
"total_allocations_remaining": null,
"force_allocation": true,
"created_at": "<string>",
"updated_at": "<string>",
"claim_timeframe": [
"<unknown>"
],
"view_condition": [
"<unknown>"
],
"visibility_condition": [
"<unknown>"
],
"allow_user_redeem": true,
"value": "<string>",
"type": "<string>",
"campaign": "<string>",
"external_id": "<string>",
"same_campaign_count": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Benefit Definition
Clone a Benefit Definition
A POST to the /benefits/definitions/{definitionId}/clone endpoint allows your application to clone a specific Benefit Definition.
POST
/
v3
/
benefits
/
definitions
/
{benefitdefinition}
/
clone
Clone a Benefit Definition
Create an exact copy of the specified
definitionIdThe name will have “_copy” appended.
You must specify a new handle to use for this clone, int he request body.⌘I